<script>
import Headers from "@/components/Headers.vue";
import homebg from "@/assets/images/homebg.png"
export default {
  name: "BasicLayout",
  components: {
    Headers,
  },
  data() {
    return {
      homebg
    }
  }
};
</script>

<template>
  <div class="basic-layout" :style="{
    background: $route.meta.bg === 'none' ? '#070b13' : `url(${homebg})`
  }">
    <Headers />
    <router-view />
  </div>
</template>

<style scoped lang="less">
.basic-layout {
  background-position: center;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  width: 100%;
}
</style>
